Rivet::InitialQuarks Class Reference

Project out quarks from the hard process in events. More...

`#include <InitialQuarks.hh>`

Inheritance diagram for Rivet::InitialQuarks:

## Public Member Functions

virtual const ParticleVector & | particles () const
| Access the projected final-state particles.
virtual bool | empty () const
| Is this final state empty?
virtual bool | isEmpty () const
Standard constructors and destructors.
| InitialQuarks ()
virtual const Projection * | clone () const
| Clone on the heap.
Public Member Functions inherited from Rivet::Projection
bool | before (const Projection &p) const
virtual const std::set< PdgIdPair > | beamPairs () const
virtual std::string | name () const
| Get the name of the projection.
Projection & | addPdgIdPair (PdgId beam1, PdgId beam2)
| Add a colliding beam pair.
Log & | getLog () const
| Get a Log object based on the getName() property of the calling projection object.
void | setName (const std::string &name)
| Used by derived classes to set their name.
| Projection ()
| The default constructor.
virtual | ~Projection ()
| The destructor.
Public Member Functions inherited from Rivet::ProjectionApplier
| ProjectionApplier ()
| Constructor.
std::set< ConstProjectionPtr > | getProjections () const
| Get the contained projections, including recursion.
template<typename PROJ >
const PROJ & | getProjection (const std::string &name) const
| Get the named projection, specifying return type via a template argument.
const Projection & | getProjection (const std::string &name) const
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const PROJ &proj) const
| Apply the supplied projection on event.
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const Projection &proj) const
| Apply the supplied projection on event.
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const std::string &name) const
| Apply the named projection on event.

## Protected Member Functions

virtual void | project (const Event &e)
| Apply the projection to the event.
virtual int | compare (const Projection &p) const
| Compare projections.
Protected Member Functions inherited from Rivet::Projection
Cmp< Projection > | mkNamedPCmp (const Projection &otherparent, const std::string &pname) const
Cmp< Projection > | mkPCmp (const Projection &otherparent, const std::string &pname) const
Protected Member Functions inherited from Rivet::ProjectionApplier
Log & | getLog () const
ProjectionHandler & | getProjHandler () const
| Get a reference to the ProjectionHandler for this thread.
template<typename PROJ >
const PROJ & | addProjection (const PROJ &proj, const std::string &name)

## Detailed Description

Project out quarks from the hard process in events.

Warning
  This is a very dangerous and specific projection! Use e.g. PID::hasBottom and friends instead whenever possible

## Constructor & Destructor Documentation

Rivet::InitialQuarks::InitialQuarks | ( |  | ) |

inline

The default constructor. May specify the minimum and maximum pseudorapidity and the min (in GeV).

Referenced by clone().

## Member Function Documentation

virtual bool Rivet::InitialQuarks::isEmpty | ( |  | ) | const

inline virtual

Deprecated:
  Is this final state empty?

The documentation for this class was generated from the following files:

- include/Rivet/Projections/InitialQuarks.hh
- src/Projections/InitialQuarks.cc